﻿param(
    [Parameter(Mandatory=$true)][string]$requestingWebAppUrl,
    [Parameter(Mandatory=$true)][string]$sourceWebAppUrl
    )

if (-not (Get-PSSnapin -Name Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue)) {
    Add-PSSnapin Microsoft.SharePoint.PowerShell
}


$reqWebApp = Get-SPWebApplication $requestingWebAppUrl
$sourceWebApp = Get-SPWebApplication $sourceWebAppUrl

if($reqWebApp -ne $null -and $sourceWebApp -ne $null)
{ 
	$sourceWebAppUser = $sourceWebApp.ApplicationPool.Username

    Write-Host Granting access for user $sourceWebAppUser from WebApplication $sourceWebApp.Name to WebApplication $reqWebApp.Name -Foreground Green
    $reqWebApp.GrantAccessToProcessIdentity($sourceWebAppUser)
    $reqWebApp.Update()
}
else
{
	Write-Host WebApplications not found -Foreground Red
}

pause