﻿param(
    [Parameter(Mandatory=$true)][string]$filePointWeb
    )

if (-not (Get-PSSnapin -Name Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue)) {
    Add-PSSnapin Microsoft.SharePoint.PowerShell
}

$web = Get-SPWeb $filePointWeb
$list = $web.GetList($web.ServerRelativeUrl + "/FilePointLibrary")

if($web -ne $null -and $list -ne $null){
    $ulfctid = New-Object Microsoft.SharePoint.SPContentTypeId("0x01200005CD4495A46A45858562CC206260EC02")
    $ulfListCtId = $list.ContentTypes.BestMatch($ulfctid)
    $ulfCt = $list.ContentTypes[$ulfListCtId]

    $uploadQuotaId = New-Object System.Guid("ec697632-9e92-4325-ae2f-e2d6b6c30aeb")
    $uploadQuotaUsedId = New-Object System.Guid("b28d2848-e235-4cc3-9d84-4e6d7eda0fba")
    $uploadStorageId = New-Object System.Guid("dcd80398-f3a6-4c1e-a312-6cabf71b3996");
    $uploadStorageUsedId = New-Object System.Guid("927f8a63-1715-4c55-bd66-93c8d99121c3");

    $uploadFolderCtId = New-Object Microsoft.SharePoint.SPContentTypeId("0x01200005CD4495A46A45858562CC206260EC02")
    foreach($userFolder in $list.Folders){
        foreach($shareFolder in $userFolder.Folder.SubFolders){
            $item = $shareFolder.Item

            if($item -ne $null -and $uploadFolderCtId.IsParentOf($item.ContentTypeId))
            {
                $storage = [System.Convert]::ToString($item[$uploadStorageId])
                if([String]::IsNullOrEmpty($storage)){
                    $item[$uploadStorageId] = $item[$uploadQuotaId]
                    $item[$uploadQuotaId] = $null
                }

                $usedStorage = [System.Convert]::ToString($item[$uploadStorageUsedId])
                if([String]::IsNullOrEmpty($usedStorage)){
                    $item[$uploadStorageUsedId] = $item[$uploadQuotaUsedId]
                    $item[$uploadQuotaUsedId] = $null
                }

                $item.SystemUpdate()
            }
        }
    }
}